Subject: Re: C interface

From: [email-masked] (Uwe Lesta)
Date: Mon, 17 Jul 2000 14:00:32 +0200

> Christian Labrie schrieb:
> 
> Hi, I'm a new subscriber to the list...
> 
> I'm currently working on a project at university and I'm going to create a interface in c++.

Ther is a C++ interface for SWI-Prolog and i like it very much. Search the file
	SWI-cpp.h 
in the latest distribution.
 
> I asked many peoples about linking prolog and C++/C with an interface, and most of the peoples directed me on this site and eventually on that mailing list...
 
> Unfortunatly, the C interface on the site does not seem to work, well I use Microsoft Visual c++ to compile, and I'm unable to work...
> 
> Still many errors and warnings...

It is easy for a consol application.
The main trouble for a MFC project is to rebind the IO streams of SWI-Prolog.
 
> If any of you have the functionnal project(source code) in C++ that links prolog and an C interface, please would you send it to me attached to the mail...

I'll have a small dirty project working with MSVC 6.0, the C interface  and SWI-Prolog 3.3.3.
If you send me a mail you can get it as it is or
if you like to wait a few days I'll can clean it up a little bit
and change it to the C++ interface

-- 

Regards

Uwe
[email-masked]